import { Block } from "../";
import CardContainer from "./CardContainer";
import { ComponentFactory, ValueOrObservable } from "../ComponentFactory";
/** Represents a card-styled container with drop shadow */
export declare class DropCardContainer extends CardContainer {
    /** Create a card container with given content, if any */
    constructor(content?: Block[], raised?: boolean);
    /** Initialize a drawer factory with given values */
    static with: (values: DropCardContainer.Initializer) => ComponentFactory<DropCardContainer>;
    /** Initialize a drawer factory with given content */
    static withContent: (content: ComponentFactory.SpecList2) => ComponentFactory<DropCardContainer>;
    /** Class decorator that uses given initializer specification to initialize every component instance asynchronously (after running the component constructor) */
    static initializeWith: ComponentFactory.Decorator<DropCardContainer.Initializer, DropCardContainer>;
    /** Class decorator that uses given initializer specification to initialize every component instance asynchronously (after running the component constructor) */
    static initializeWithContent: ComponentFactory.Decorator<ComponentFactory.SpecList2, DropCardContainer>;
    /** Initialize with given (observable) values; returns this */
    initializeWith: (values: DropCardContainer.Initializer) => this;
    /** Set to true to increase shadow depth on hover (observed) */
    raiseOnHover: boolean;
    /** Set to true to increase shadow depth on focus (observed) */
    raiseOnFocus: boolean;
    /** Set to true to increase shadow depth */
    raised: boolean;
    private _observeRaised;
}
export declare namespace DropCardContainer {
    /** Initializer for .with({ ... }) */
    interface Initializer extends CardContainer.Initializer {
        /** Property initializer */
        raiseOnHover?: ValueOrObservable<boolean>;
        /** Property initializer */
        raiseOnFocus?: ValueOrObservable<boolean>;
        /** Property initializer */
        raised?: ValueOrObservable<boolean>;
    }
}
export default DropCardContainer;
