import { CustomSignalClass, Signal } from "typescene-async";
import TextLabelFactory from "../TextLabelFactory";
import { DialogContainer } from "../";
import { ValueOrObservable } from "../ComponentFactory";
/** Represents a generic confirmation dialog with two or more options, contains either a single Paragraph component, or a stack initialized with given texts; emits Confirmed signal when confirm button is clicked */
export declare class ConfirmationDialog extends DialogContainer {
    /** Create a confirmation dialog with given message text */
    constructor(header: ValueOrObservable<string | TextLabelFactory>, message: ValueOrObservable<string | TextLabelFactory>, confirmButtonLabel?: string | TextLabelFactory, cancelButtonLabel?: string | TextLabelFactory);
    /** Create a confirmation dialog with given texts stacked vertically */
    constructor(header: ValueOrObservable<string | TextLabelFactory>, message: ValueOrObservable<string | TextLabelFactory>[], confirmButtonLabel?: string | TextLabelFactory, cancelButtonLabel?: string | TextLabelFactory);
    /** Signal that is emitted when the confirm button has been clicked */
    readonly Confirmed: CustomSignalClass<void, Signal<void>>;
}
export default ConfirmationDialog;
