import TextLabelFactory from "../TextLabelFactory";
import { DialogContainer } from "../";
import { ValueOrObservable } from "../ComponentFactory";
/** Represents a generic message dialog with one button to dismiss, contains either a single Paragraph component, or a stack initialized with given texts */
export declare class MessageDialog extends DialogContainer {
    /** Create a message dialog with given text */
    constructor(header: ValueOrObservable<string | TextLabelFactory>, message: ValueOrObservable<string | TextLabelFactory>, buttonLabel?: string | TextLabelFactory);
    /** Create a message dialog with given texts stacked vertically */
    constructor(header: ValueOrObservable<string | TextLabelFactory>, message: ValueOrObservable<string | TextLabelFactory>[], buttonLabel?: string | TextLabelFactory);
}
export default MessageDialog;
