import { Container, TextLabelFactory } from "../";
/** Represents a notification that is displayed in the corner of the screen */
export declare class Notification extends Container {
    timeout: number;
    /** Close all notifications currently displayed on screen */
    static closeAll(): void;
    /** Create a notification with given text, and optional timeout in ms (default 4000) */
    constructor(text: string | TextLabelFactory, timeout?: number);
    /** Display this notification on screen */
    display(): this;
    /** Remove this notification from the screen */
    close(): void;
}
export default Notification;
